Bug 548795 - Review Request: belier - Generates scripts allowing you to chain many ssh connections
Summary: Review Request: belier - Generates scripts allowing you to chain many ssh con...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-18 16:23 UTC by Florent Le Coz
Modified: 2011-01-17 20:57 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-17 20:55:04 UTC
tibbs: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Florent Le Coz 2009-12-18 16:23:27 UTC
Spec URL: http://people.fedoraproject.org/~louizatakk/rpm/belier.spec
SRPM URL: http://people.fedoraproject.org/~louizatakk/rpm/belier-1.2-1.fc12.src.rpm
Description: 
My second package, I'm still seeking a sponsor.

Awaiting your reviews

Comment 1 Fabian Affolter 2009-12-21 10:01:53 UTC
Just some quick comment on your spec file.

- Please use '%global' instead of '%define'
- Is 'Requires:	python' really needed?  Isn't it pulled in automatically by RPM?
- '-n %{name}-%{version}' is the default.  '%setup -q' is enough.
- Please ask upstream to include a COPYING file.
- You must use macros.  Replace '/usr/bin/bel' with ' %{_bindir}/bel'
  https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Macros
- Your package provides an egg.  Please have a look at the following page
  https://fedoraproject.org/wiki/Packaging/Python/Eggs

Comment 2 Florent Le Coz 2009-12-24 14:27:01 UTC
(In reply to comment #1)
> Just some quick comment on your spec file.
> 
Thank you

> - Please use '%global' instead of '%define'
done

> - Is 'Requires: python' really needed?  Isn't it pulled in automatically by
> RPM?
You're right, removed.

> - '-n %{name}-%{version}' is the default.  '%setup -q' is enough.
I know, but I thought this way was clearer and easier to maintain.
But, ok, fixed.

> - Please ask upstream to include a COPYING file.
Done on their mailing list : http://sourceforge.net/mailarchive/message.php?msg_name=4B33734C.30509%40fedoraproject.org

> - You must use macros.  Replace '/usr/bin/bel' with ' %{_bindir}/bel'
>   https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Macros
Done

> - Your package provides an egg.  Please have a look at the following page
>   https://fedoraproject.org/wiki/Packaging/Python/Eggs  
Sorry but I don't understand what is wrong with my package, here.
The egg is correctly created and installed in %{python_sitelib} using the upstream setuptools script. The page you ask me to read doesn't say much more than that...

I will provide a new version of my package once the last point is fixed.

Comment 3 Florent Le Coz 2009-12-26 23:16:38 UTC
meanwhile, here is the new version with all your comments applied :

Spec URL: http://people.fedoraproject.org/~louizatakk/rpm/belier.spec
SRPM URL: http://people.fedoraproject.org/~louizatakk/rpm/belier-1.2-2.fc12.src.rpm

Comment 4 Fabian Affolter 2010-01-13 10:35:44 UTC
If you are still looking for a sponsor please follow.

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 5 Florent Le Coz 2010-02-08 19:00:28 UTC
Any news here?
Is the package ok, any new comment/review or anything?

Fabian Affolter, what did you meant with "- Your package provides an egg.  Please have a look at the following page"

Comment 6 Fabian Affolter 2010-02-09 09:52:27 UTC
(In reply to comment #5)
> Any news here?
> Is the package ok, any new comment/review or anything?

Now is a complete review needed.

> Fabian Affolter, what did you meant with "- Your package provides an egg. 
> Please have a look at the following page"    

'BuildRequires:	python-setuptools-devel' needs to be replaced with 'BuildRequires:	python-setuptools'

Comment 7 Fabian Affolter 2010-03-03 08:46:18 UTC
Any progress?

Comment 8 Florent Le Coz 2010-05-27 14:49:05 UTC
SPEC URL: http://louizatakk.fedorapeople.org/rpm/belier.spec
SRPM URL: http://louizatakk.fedorapeople.org/rpm/belier-1.2-3.fc13.src.rpm

I changed python-setuptools-devel to python-setuptools.

Also, it builds on koji, see:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2213026

Comment 9 Florent Le Coz 2010-06-04 09:02:48 UTC
(In reply to comment #7)
> Any progress?    

I fixed everything your noticed on my spec file.
And I'm not seeking a sponsor anymore, by the way.

So, bump.

Comment 10 Jason Tibbitts 2010-11-16 01:01:53 UTC
"bump" doesn't really have any effect here; this isn't a web forum, and nobody was signed on to review your package.  I'm looking over all of the old tickets and see that this one seems to be quite fine.

Builds fine on rawhide and rpmlint has only this to say:
  belier.noarch: W: no-manual-page-for-binary bel
A manpage would be nice but is not essential.

There are some bits of your spec which are not needed in Fedora (or EPEL6): BuildRoot, %clean and the first line of %install.  You can remove them if you like.

* source files match upstream.  sha256sum:
  9fe20425d0e061112c38288ce105bc7905a55c22836e801b310541b56e4df409
   belier-1.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   belier = 1.2-3.fc15
  =
   /usr/bin/python  
   expect  
   gettext  
   python(abi) = 2.7

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 11 Jason Tibbitts 2010-11-16 03:37:07 UTC
Oops; I didn't set the flag properly.

Comment 12 Florent Le Coz 2010-11-16 10:45:18 UTC
(In reply to comment #10)
> "bump" doesn't really have any effect here; this isn't a web forum, and nobody
> was signed on to review your package.
Ok, sorry about that.

> There are some bits of your spec which are not needed in Fedora (or EPEL6):
> BuildRoot, %clean and the first line of %install.  You can remove them if you
> like.
I left them in the spec file because that's how I usually do and how I see other spec files. Moreover, rpmlint complains about the missing sections if I remove them.
So, since I find them clearer, I'll keep them in place.

> APPROVED

Thank you for the review.

Comment 13 Florent Le Coz 2010-11-16 10:47:43 UTC
New Package SCM Request
=======================
Package Name: belier
Short Description: Generates scripts allowing you to chain many ssh connections
Owners: louizatakk
Branches: f13 f14
InitialCC: louizatakk

Comment 14 Jason Tibbitts 2010-11-16 13:04:06 UTC
Note that rpmlint is simply broken here; the portions of the spec I mentioned really are not necessary, and in fact are either ignored or simply repeat what rpm itself already does.  Other specs aren't done that way because people don't seem to have caught on that we changed the guidelines years ago.  (BuildRoot:, for example, has been ignored completely since F-10.)  Unfortunately we can't get the rpmlint maintainer to listen to reason and disable the checks on Fedora.  There's no mandate that you remove them, though, so that is up to you.

Comment 15 Jason Tibbitts 2010-11-16 13:05:42 UTC
Git done (by process-git-requests).

Comment 16 Jason Tibbitts 2010-12-13 15:00:14 UTC
Is there any reason this ticket is still open?

Comment 17 Fedora Update System 2011-01-08 15:24:16 UTC
belier-1.2-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/belier-1.2-4.fc14

Comment 18 Fedora Update System 2011-01-08 15:25:50 UTC
belier-1.2-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/belier-1.2-4.fc13

Comment 19 Fedora Update System 2011-01-08 21:27:35 UTC
belier-1.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update belier'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/belier-1.2-4.fc13

Comment 20 Fedora Update System 2011-01-17 20:54:56 UTC
belier-1.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-01-17 20:57:14 UTC
belier-1.2-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.